JUCE: AccessibilityCellInterface Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
AccessibilityCellInterface Class Referenceabstract
juce_gui_basics » accessibility

An abstract interface which represents a UI element that supports a cell interface. More...

`#include <juce_AccessibilityCellInterface.h>`

## Public Member Functions
virtual | ~AccessibilityCellInterface ()=default
| Destructor.
virtual int | getDisclosureLevel () const =0
| Returns the indentation level for the cell.
virtual const AccessibilityHandler * | getTableHandler () const =0
| Returns the AccessibilityHandler of the table which contains the cell.
virtual std::vector< const AccessibilityHandler * > | getDisclosedRows () const
| Returns a list of the accessibility elements that are disclosed by this element, if any.

## Detailed Description

An abstract interface which represents a UI element that supports a cell interface.

This typically represents a single cell inside of a UI element which implements an AccessibilityTableInterface.

## Constructor & Destructor Documentation

## ◆ ~AccessibilityCellInterface()

virtual AccessibilityCellInterface::~AccessibilityCellInterface | ( |  | ) |
| virtualdefault

Destructor.

## Member Function Documentation

## ◆ getDisclosureLevel()

virtual int AccessibilityCellInterface::getDisclosureLevel | ( |  | ) | const
| pure virtual

Returns the indentation level for the cell.

## ◆ getTableHandler()

virtual const AccessibilityHandler * AccessibilityCellInterface::getTableHandler | ( |  | ) | const
| pure virtual

Returns the AccessibilityHandler of the table which contains the cell.

## ◆ getDisclosedRows()

virtual std::vector< const AccessibilityHandler * > AccessibilityCellInterface::getDisclosedRows | ( |  | ) | const
| virtual

Returns a list of the accessibility elements that are disclosed by this element, if any.

The documentation for this class was generated from the following file:

- juce_AccessibilityCellInterface.h